CTRLALTDEL(8)

NAZWA
ctrlaltdel - ustawia działanie kombinacji Ctrl-Alt-Del

SKŁADNIA
ctrlaltdel hard|soft

OPIS
W oparciu o sprawdzenie kodu linux/kernel/reboot.c jest jasne, że są dwie obsługiwane funkcje które może wykonać sekwencja Ctrl-Alt-Del.

hard
    Natychmiast uruchamia komputer ponownie bez wywołania sync(2) i bez jakichkolwiek innych przygotowań. Jest to zachowanie domyślne.

soft
    Jądro wysyła procesowi init (jest to zawsze proces z PID 1) sygnał SIGINT (przerwania). Jeśli użyta jest ta opcja, program init(8) musi obsługiwać tę właściwość. Ponieważ w chwili obecnej istnieje w środowisku linuksowym kilka programów init(8), konieczne jest sprawdzenie tego w dokumentacji swojej wersji.

Gdy polecenie jest uruchomione bez żadnych argumentów, wyświetli aktualne ustawienie.

Działanie ctrlaltdel jest zazwyczaj ustawione w pliku /etc/rc.local.

OPCJE

-V, --version
    Wypisuje informację o wersji programu i wychodzi.

-h, --help
    Wyświetla pomoc i wychodzi.

PLIKI
/etc/rc.local

ZOBACZ TAKŻE
init(8), systemd(1)

AUTOR
Peter Orbaek (poe@daimi.aau.dk)

DOSTĘPNOŚĆ
Polecenie ctrlaltdel jest częścią pakietu util-linux i jest dostępne z Archiwum jądra Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.28 oryginału.